function matrix = maskdata(matrix, mmask, mvalue)
%matrix = MASKDATA(matrix, mmask, mvalue)
%
%Mask values in a matrix
%
%Input:
%  MATRIX - matrix of data
%  MMASK  - mask matrix (should be the same size as MATRIX)
%  MVALUE - value for masked elements (default NaN)
%
%Output:
%  MATRIX  - the original data with MVALUE whereas MMASK is TRUE (i.e. ~= 0)
%
%Radim Halir, Charles University Prague, halir@ms.mff.cuni.cz
%Created: 18.1.1997
%Last modified: 22.4.1997

% default parameters
if (nargin < 3)
    mvalue = NaN;
end

% mask data
matrix(mmask ~= 0) = mvalue;
