function angles = vangle(u, v)
%angles = VANGLE(u, v)
%
%Get angles between vectors
%
%Input:
%  U, V   - vectors (matrices of the size N x M, where N is the number of
%           vectors and M is their dimension)
%
%Output:
%  ANGLES - angles between vectors in degrees (0-180)
%
%See also:
%  VDIFF
%
%Radim Halir, Charles University Prague, halir@ms.mff.cuni.cz
%Created: 2.7.1997
%Last modified 2.7.1997

cosangles = sum(u .* v, 2) ./ (vsize(u) .* vsize(v));
angles = acos(cosangles) / pi * 180;
