function vectors = vcross(vector, vectors)
%vectors = VCROSS(vector, vectors)
%
%Vector products of VECTOR x VECTORS
%
%Input:
% VECTOR  - row vector of length 3
% VECTORS - a set of row vectors of size n x 3
%
%Output:
% VECTORS - vector products of size n x 3
%
%See also:
% cross
%
%Radim Halir, Charles University Prague, halir@ms.mff.cuni.cz
%Created: 9.4.1997
%Last modified 9.4.1997

vectors = [vector(2) * vectors(:, 3) - vector(3) * vectors(:, 2), ...
           vector(3) * vectors(:, 1) - vector(1) * vectors(:, 3), ...
           vector(1) * vectors(:, 2) - vector(2) * vectors(:, 1)];
